
From: Mans Rullgard <mru@kth.se>

There are a few include which should have been under __KERNEL__.


---

 25-akpm/include/linux/fs.h |    6 +++---
 1 files changed, 3 insertions(+), 3 deletions(-)

diff -puN include/linux/fs.h~fix-userspace-include-of-linux-fsh include/linux/fs.h
--- 25/include/linux/fs.h~fix-userspace-include-of-linux-fsh	Mon May 17 13:25:43 2004
+++ 25-akpm/include/linux/fs.h	Mon May 17 13:26:16 2004
@@ -13,15 +13,12 @@
 #include <linux/types.h>
 #include <linux/kdev_t.h>
 #include <linux/ioctl.h>
-#include <linux/list.h>
 #include <linux/dcache.h>
 #include <linux/stat.h>
 #include <linux/cache.h>
-#include <linux/radix-tree.h>
 #include <linux/prio_tree.h>
 #include <linux/kobject.h>
 #include <asm/atomic.h>
-#include <linux/audit.h>
 
 struct iovec;
 struct nameidata;
@@ -214,6 +211,9 @@ extern int leases_enable, dir_notify_ena
 
 #ifdef __KERNEL__
 
+#include <linux/list.h>
+#include <linux/radix-tree.h>
+#include <linux/audit.h>
 #include <asm/semaphore.h>
 #include <asm/byteorder.h>
 

_
